Bug 1039046 (CVE-2013-6432) - CVE-2013-6432 Kernel: ping: NULL pointer dereference on write to msg_name
Summary: CVE-2013-6432 Kernel: ping: NULL pointer dereference on write to msg_name
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-6432
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131118,repor...
Depends On:
Blocks: 1036074
TreeView+ depends on / blocked
 
Reported: 2013-12-06 13:07 UTC by Prasad J Pandit
Modified: 2019-06-08 19:49 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 11:55:35 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2013-12-06 13:07:45 UTC
Linux kernel built with the TCP/IP networking support(CONFIG_NET) is vulnerable
to a NULL pointer dereference flaw. It could occur via a plain read(2) call on
a ping socket. Usage of ping sockets is generally restricted to privileged
users.

A user/program able to read from ping sockets could use this flaw to crash a
system resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/cf970c002d270c36202bd5b9c2804d3097a52da0

Comment 1 Prasad J Pandit 2013-12-06 14:08:09 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Comment 2 Prasad J Pandit 2013-12-06 14:14:51 UTC
Acknowledgement:

Red Hat would like to thank Mr Hannes Frederic Sowa for reporting this issue.


Note You need to log in before you can comment on or make changes to this bug.